Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Interface WSDDEngineConfiguration

All Superinterfaces:
  EngineConfiguration

All Known Implementing Classes:
  DirProvider, FileProvider, WSDDDeployment

public interface WSDDEngineConfiguration
extends EngineConfiguration

Extends EngineConfiguration interface to provide hook to internal WSDD deployment info.

Author:
  Richard Sitze (rsitze@apache.org), Glyn Normington (glyn@apache.org), Glen Daniels (gdaniels@apache.org)

Field Summary

Fields inherited from interface org.apache.axis.EngineConfiguration
`PROPERTY_NAME`

Method Summary
`WSDDDeployment` | `getDeployment()` Get the WSDDDeployment for this engine configuration.

Methods inherited from interface org.apache.axis.EngineConfiguration
`configureEngine, getDeployedServices, getGlobalOptions, getGlobalRequest, getGlobalResponse, getHandler, getRoles, getService, getServiceByNamespaceURI, getTransport, getTypeMappingRegistry, writeEngineConfig`

Method Detail

### getDeployment

    public WSDDDeployment getDeployment()

  Get the WSDDDeployment for this engine configuration.

  Returns:
    the WSDDDeployment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.